דומיינים מותאמים
GET https://qrcloud.online/api/domains/
curl --request GET \
--url 'https://qrcloud.online/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/domains/' \
--header 'Authorization: Bearer {api_key}' \
| Parameters | פרטים | תיאור |
|---|---|---|
| search | Optiעלal Strבg | המחרוזת המחפשת. |
| search_by | Optiעלal Strבg | באיזה שדה אתה מחפש? הערכים המותרים הם: host. |
| is_enabled | Optiעלal בוליאני | |
| datetime_field | Optiעלal Strבg | ערכים מותרים: datetime, last_datetime |
| datetime_start | Optiעלal Strבg | Filter results startבg מ this datetime. Y-m-d H:i:s עבורmat. |
| datetime_end | Optiעלal Strבg | Filter results up ל this datetime. Y-m-d H:i:s עבורmat. |
| order_by | Optiעלal Strבg | באיזה שדה למיין את התוצאות לפי. הערכים המורשים הם: domain_id, datetime, last_datetime, host. |
| order_type | Optiעלal Strבg | האוderבg של the results. Allowed values are: ASC עבור בתורcendבg אוderבg, ו DESC עבור descendבg אוderבg. |
| page | Optiעלal מספר שלם | הדף number that you want results מ. Defaults ל 1. |
| results_per_page | Optiעלal מספר שלם | How mכל results you want per דף. Allowed values are: 10, 25, 50, 100, 250, 500, 1000. Defaults ל 25. |
{
"data": [
{
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-29 22:20:53",
},
],
"meta": {
"page": 1,
"results_per_page": 25,
"total": 1,
"total_pages": 1
},
"links": {
"first": "https://qrcloud.online/api/domains?page=1",
"last": "https://qrcloud.online/api/domains?page=1",
"next": null,
"prev": null,
"self": "https://qrcloud.online/api/domains?page=1"
}
}
GET https://qrcloud.online/api/domains/{domain_id}
curl --request GET \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
{
"data": {
"id": 1,
"scheme": "https://",
"host": "example.com",
"custom_index_url": "",
"is_enabled": true,
"last_datetime": null,
"datetime": "2026-04-29 22:20:53",
}
}
POST https://qrcloud.online/api/domains
| Parameters | פרטים | תיאור |
|---|---|---|
| host | Required Strבg | - |
| custom_index_url | Optiעלal Strבg | - |
| custom_not_found_url | Optiעלal Strבg | - |
curl --request POST \
--url 'https://qrcloud.online/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
--url 'https://qrcloud.online/api/domains' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--form 'custom_index_url=https://example.com/' \
--form 'custom_not_found_url=https://example.com/404-page'
{
"data": {
"id": 1
}
}
POST https://qrcloud.online/api/domains/{domain_id}
| Parameters | פרטים | תיאור |
|---|---|---|
| host | Optiעלal Strבg | - |
| custom_index_url | Optiעלal Strבg | - |
| custom_not_found_url | Optiעלal Strבg | - |
curl --request POST \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--header 'Content-Type: multipart/form-data' \
--form 'host=example.com' \
{
"data": {
"id": 1
}
}
DELETE https://qrcloud.online/api/domains/{domain_id}
curl --request DELETE \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \
--url 'https://qrcloud.online/api/domains/{domain_id}' \
--header 'Authorization: Bearer {api_key}' \